Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component
Enum InputNumberSliderInputPosition

    java.lang.Object
      java.lang.Enum<InputNumberSliderInputPosition>
          org.richfaces.component.InputNumberSliderInputPosition

All Implemented Interfaces:
  Serializable, Comparable<InputNumberSliderInputPosition>

    public enum InputNumberSliderInputPosition

extends Enum<InputNumberSliderInputPosition>

Enum Constant Summary
`bottom`
`left`
`right`
`top`

Field Summary
`static InputNumberSliderInputPosition` | `DEFAULT`

Method Summary
`static InputNumberSliderInputPosition` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static InputNumberSliderInputPosition[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### top

    public static final InputNumberSliderInputPosition top

### right

    public static final InputNumberSliderInputPosition right

### bottom

    public static final InputNumberSliderInputPosition bottom

### left

    public static final InputNumberSliderInputPosition left

Field Detail

### DEFAULT

    public static final InputNumberSliderInputPosition DEFAULT

Method Detail

### values

    public static InputNumberSliderInputPosition[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (InputNumberSliderInputPosition c : InputNumberSliderInputPosition.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static InputNumberSliderInputPosition valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.